Browse video curriculum
Search and page the video curriculum. Returns exact videoId values accepted by POST /v1/video/render. Page with cursor = nextCursor until it is null.
GET
Browse video curriculum
Authorizations
A workspace API key.
Path Parameters
A walkable domain returned by the domains route.
Available options:
algorithms, science, course, howto, stories, chess, ugc Query Parameters
Search ids and titles.
Required string length:
1 - 200Maximum catalogue videos to return on this page; defaults to 100.
Required range:
1 <= x <= 500The nextCursor from the previous page. Omit for the first page.
Pattern:
^\d{1,7}$Deprecated: zero-based row offset. Prefer cursor; ignored when cursor is sent.
Required range:
0 <= x <= 9007199254740991Response
Success.
Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Send as cursor for the next page; null on the last page.